Subject: Re: WG Adoption request for draft-mirsky-bfd-mpls-demand

From: Greg Mirsky <[email-masked]>
Date: Wed, 4 Sep 2019 13:57:16 +0200

Dear Jeff, Reshad, et al.,
after more discussions and analyzing our discussion I'm accepting your
arguments regarding that the behavior of a system in the Demand mode
already sufficiently covered in RFC 5880. What I'd like us to discuss is
the note by Jeff:

If you're also saying that the ingress is NOT receiving a Down state change
from the egress as part of this and that the ingress moves to down just
because the Diag changes, that at least is clear, and is worth further
discussion.

Much appreciate your consideration and advise on how to proceed further.

Regards,
Greg

On Mon, Feb 25, 2019 at 6:26 PM Jeffrey Haas <[email-masked]> wrote:

> On Mon, Feb 25, 2019 at 09:10:16AM -0800, Greg Mirsky wrote:
> > Hi Jeff,
> > please find my answers in-line tagged GIM4>>.
> >
> > Regards,
> > Greg
> >
> > On Sun, Feb 24, 2019 at 7:24 PM Jeffrey Haas <[email-masked]> wrote:
> >
> > > Greg,
> > >
> > > On Sun, Feb 24, 2019 at 09:53:20AM -0800, Greg Mirsky wrote:
> > > > Hi Jeff,
> > > > I'm glad that you feel that our discussion is helpful. I want to
> point
> > > that
> > > > the use of the Poll sequence to communicate to the remote BFD system
> in
> > > the
> > > > Concatenated Paths section is to relay the failure detected in the
> > > > downstream segment of the multi-segment OAM domain. Also, section
> 6.8.17
> > > > does not specify how the upstream BFD system responds to the
> situation:
> > > >    Note that if the BFD session subsequently fails, the diagnostic
> code
> > > will
> > > >    be overwritten with a code detailing the cause of the failure.
> It is
> > > >    up to the interworking agent to perform the above procedure again,
> > > >    once the BFD session reaches Up state, if the propagation of the
> > > >    concatenated path failure is to resume.
> > >
> > > Correct.  That is up to the upstream to determine its behavior.
> > >
> > > > And so far we were discussing RFC 5880 though the scope of the draft
> is
> > > on
> > > > the use of Demand mode over MPLS LSP.
> > >
> > > MPLS does not magically change the behavior of demand mode specified
> in the
> > > core RFC.
> > >
> > GIM4>> The draft defines how the head-end LER reacts to receiving the BFD
> > control message with Diag set to Control Detection Time Expired and the
> > Poll flag set:
> >    Reception of such BFD control packet by the ingress
> >    LER indicates that the monitored LSP has a failure and sending BFD
> >    control packet with the Final flag set to acknowledge failure
> >    indication is likely to fail.  Instead, the ingress LER transmits the
> >    BFD Control packet to the egress LER over the IP network with:
> >
> >    o  destination IP address MUST be set to the destination IP address
> >       of the LSP Ping Echo request message [RFC8029];
> >
> >    o  destination UDP port set to 4784 [RFC5883];
> >
> >    o  Final (F) flag in BFD control packet MUST be set;
> >
> >    o  Demand (D) flag in BFD control packet MUST be cleared.
> >
> >    The ingress LER changes the state of the BFD session to Down and
> >    changes rate of BFD Control packets transmission to one packet per
> >    second.  The ingress LER in Down mode changes to Asynchronous mode
> >    until the BFD session comes to Up state once again.  Then the ingress
> >    LER switches to the Demand mode.
> >
> >
> > > > And the draft does describe how the
> > > > BFD system acts after it receives the control message with Diag
> field set
> > > > to Control Detection Time Expired, a.k.a. RDI, and the Poll flag
> set. In
> > > > that, I consider, the draft is complimentary to RFC 5884 whose scope
> is
> > > on
> > > > the Asynchronous mode only.
> > >
> > > I continue to have problems understanding how the text in your draft is
> > > intended to be different than 6.8.4 of RFC 5880.  Simply saying "we're
> > > allowed to use demand mode" can't be it?
> > >
> > GIM4>> Section 6.8.4 does not specify that if the BFD system is in Demand
> > mode and the bfd.LocalDiag is set to 1 (Control Detection Time Expired)
> the
> > Poll sequence MAY, SHOULD or MUST be used to notify the remote BFD
> system.
>
> I shall paste this one last time:
>
> :   If Demand mode is active on either or both systems, a Poll Sequence
> :   MUST be initiated whenever the contents of the next BFD Control
> :   packet to be sent would be different than the contents of the
> :   previous packet, with the exception of the Poll (P) and Final (F)
> :   bits.  This ensures that parameter changes are transmitted to the
> :   remote system and that the remote system acknowledges these changes.
>
> If you've changed diag, you've changed the contents.  If you are running in
> demand mode, you will send a poll.
>
> If you're also saying that the ingress is NOT receiving a Down state change
> from the egress as part of this and that the ingress moves to down just
> because the Diag changes, that at least is clear, and is worth further
> discussion.
>
> > > It will help clear this conversation if you simply state your changes
> in
> > > behavior vs. 5880 and 5884.
> > >
> > GIM4>> I've never stated or hinted that the draft is to update RFC 5884.
> > The scope of RFC 5884 is the use of BFD in the Asynchronous mode over
> MPLS
> > LSPs. As stated in section 6 RFC 5884:
> >
> > BFD demand mode is outside the scope of this specification.
>
> You seem to be confused about how this boilerplate text is used.
>
> If there are no changes to procedure, existing procedure applies - it is
> simply not discussed in this document.
>
> If there is changes to procedure (what we are trying to determine), then
> further discussion is warranted.
>
> > > A reminder that we don't vote.  C.f. RFC 7282, section 6.
> > >
> > GIM4>> I'm confused to differentiate when you raise the objection as the
> > individual contributor and evaluate them and the consensus as the WG
> chair.
>
> Chairs are not prohibited from offering technical feedback.  If you remain
> confused on this issue, I suggest you discuss this with Martin at the
> upcoming IETF.
>
> -- Jeff
>